@echo off

REM ##### 初期設定 #####
set BIN_DIR=bin
set JBOSS_EXE=run.bat

REM ##### 引数取得 #####
set PRODUCT_NAME=%1
set PRODUCT_VER=%2
set TMP_DIR=%~3
set SRC_DIR=%~4
set JBOSS_HOME=%~5
set BUILD_XML=%6
set ANT_ARGS=%~7

REM ##### 初期処理 #####
if NOT "%TMP_DIR:~-1%" == "\" (
	set TMP_DIR=%TMP_DIR%\
)
if NOT "%SRC_DIR:~-1%" == "\" (
	set SRC_DIR=%SRC_DIR%\
)

REM ##### 存在チェック #####
cd "%JBOSS_HOME%\%BIN_DIR%"
if not exist "%JBOSS_EXE%" (
	echo JBossがインストールされていません。
	goto end
)
goto update

REM ##### アップデート #####
:update
echo %PRODUCT_NAME%のアップデート処理をします。^(Ver.%PRODUCT_VER%^)
REM ここにアップデート処理を記述する(パッチ当てなど)

copy /b /y "%SRC_DIR%%BUILD_XML%" "%TMP_DIR%"
cd "%TMP_DIR%"
call ant -DjbossHome="%JBOSS_HOME%" %ANT_ARGS% -f "%BUILD_XML%"

:end
